summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2017-07-27 10:35:24 +0200
committerPacho Ramos <pacho@gentoo.org>2017-07-27 10:35:24 +0200
commitdc056da3c5ec2d8cabacc80ab0a006ab8d567267 (patch)
treee428a9038a7cda951ffca315ca60ce7d907503f6 /net-print
parentnet-print/cndrvcups-common-lb: Version bump (diff)
downloadgentoo-dc056da3c5ec2d8cabacc80ab0a006ab8d567267.tar.gz
gentoo-dc056da3c5ec2d8cabacc80ab0a006ab8d567267.tar.bz2
gentoo-dc056da3c5ec2d8cabacc80ab0a006ab8d567267.zip
net-print/cndrvcups-lb: Version bump
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'net-print')
-rw-r--r--net-print/cndrvcups-lb/Manifest1
-rw-r--r--net-print/cndrvcups-lb/cndrvcups-lb-3.40.ebuild108
2 files changed, 109 insertions, 0 deletions
diff --git a/net-print/cndrvcups-lb/Manifest b/net-print/cndrvcups-lb/Manifest
index 9834de0cb88..6c2ff20adfd 100644
--- a/net-print/cndrvcups-lb/Manifest
+++ b/net-print/cndrvcups-lb/Manifest
@@ -1,2 +1,3 @@
DIST Linux_UFRII_PrinterDriver_V320_uk_EN.tar.gz 109548632 SHA256 b28bc2b460aeddcb7800983d2fad8c29ea6efcc95ad767a78fe6c25d0956f242 SHA512 fc35670a07f067b6ccdebf5b96590eafac2ed984faaa8a90ce44dd44396d6de0964f6352cae0fdf8ce1f6127ebf3ea9f6610b56ba7dd9a7f382bd1c6d588a801 WHIRLPOOL 661f8d6863bd1694efcc168615d9a7107e4a7aa09f5934a33b0f201b6d327038320cf87201bf4220ec876e1cca550169c91925d9f58fa3dae8dd4ea99de1ad1e
+DIST linux-UFRII-drv-v340-uken.tar.gz 117746329 SHA256 fb3701f564f987126a9a3d03a163951f3182d6f7d626530a6767cb1f996fa203 SHA512 05f12d2cac5ae9987fe389be1a15b11d280734f6d47b86f04fa2fcb61bf94175b7afdba4cc1cf5ecf2c1ef5a8e2c14eda5d72f7671618d7c94581c620fea4494 WHIRLPOOL d17dacb98b6ea39d62822a4dd379fb6f8abc900243476893869e0d3a3d1ce1504cb5866d16f775bc006e94a3aeb726912a4c58faa50bf9f390e270482f20512e
DIST o1581en_linux_UFRII_v300.zip 94262679 SHA256 1ec1b162411642dc1814608ec71a3b94d6e22ede234f6b750bbdfd3820d5ac46 SHA512 e31415f2e9256c5dc98e27afe3bdc2f75b852d0a99721f8f2ac78225bac497e84c6ce94e8447f3aed6bb6c94975c7625f0dbb2647be44f90c144a46e9af89b81 WHIRLPOOL f419d6130ce9cfd87caebc9678991bbd46e2db5f8bb5a39fb8202a7532de33e969f4f907f2f1404859f987c57f49f562defcec42380ea1b4f284b8d4c6cae3e6
diff --git a/net-print/cndrvcups-lb/cndrvcups-lb-3.40.ebuild b/net-print/cndrvcups-lb/cndrvcups-lb-3.40.ebuild
new file mode 100644
index 00000000000..89b9326dd8f
--- /dev/null
+++ b/net-print/cndrvcups-lb/cndrvcups-lb-3.40.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools ltprune versionator
+
+MY_PV="$(delete_all_version_separators)"
+SOURCES_NAME="linux-UFRII-drv-v${MY_PV}-uken"
+
+DESCRIPTION="Canon UFR II / LIPSLX Printer Driver for Linux"
+HOMEPAGE="https://www.canon-europe.com/support/products/imagerunner/imagerunner-1133.aspx?type=drivers&language=EN&os=LINUX"
+SRC_URI="http://gdlp01.c-wss.com/gds/8/0100007658/04/${SOURCES_NAME}.tar.gz"
+
+LICENSE="Canon-UFR-II"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ gnome-base/libglade
+ net-print/cups
+ ~net-print/cndrvcups-common-lb-${PV}
+ x11-libs/gtk+:2
+ >=dev-libs/libxml2-2.9.1-r4[abi_x86_32(-)]
+ virtual/jpeg:62[abi_x86_32(-)]
+"
+DEPEND="${DEPEND}"
+
+S="${WORKDIR}/${SOURCES_NAME}/Sources/${P}"
+MAKEOPTS+=" -j1"
+
+pkg_setup() {
+ # Don't raise a fuss over pre-built binaries
+ QA_PREBUILT="
+ /usr/bin/cnpkbidi
+ /usr/bin/cnpkmoduleufr2
+ /usr/$(get_abi_LIBDIR x86)/libEnoJPEG.so.1.0.0
+ /usr/$(get_abi_LIBDIR x86)/libEnoJBIG.so.1.0.0
+ /usr/$(get_abi_LIBDIR x86)/libufr2filter.so.1.0.0
+ /usr/$(get_abi_LIBDIR x86)/libcnlbcm.so.1.0
+ /usr/$(get_abi_LIBDIR x86)/libcaiocnpkbidi.so.1.0.0
+ /usr/$(get_abi_LIBDIR x86)/libcanonufr2.so.1.0.0
+ "
+ QA_SONAME="/usr/$(get_abi_LIBDIR x86)/libcaiocnpkbidi.so.1.0.0"
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${WORKDIR}/${SOURCES_NAME}/Sources/" || die
+ unpack ./${P}-1.tar.gz
+}
+
+change_dir() {
+ for i in ppd pstoufr2cpca cngplp cngplp/files cpca ; do
+ cd "${i}" || die
+ "${@}"
+ cd "${S}" || die
+ done
+}
+
+src_prepare() {
+ default
+ sed -i -e \
+ "s:filterdir = \$(libdir)/cups/filter:filterdir = `cups-config --serverbin`/filter:" \
+ pstoufr2cpca/filter/Makefile.am || die
+
+ export "LIBS=-lgmodule-2.0"
+ change_dir eautoreconf
+}
+
+src_configure() {
+ change_dir econf
+}
+
+src_install() {
+ default
+
+ einstalldocs
+
+ prune_libtool_files
+
+ cd "${S}/data" || die
+ insinto /usr/share/caepcm
+ doins *
+
+ cd "${S}/libs" || die
+ insinto /usr/share/cnpkbidi
+ doins cnpkbidi_info*
+
+ insinto /usr/share/ufr2filter
+ doins ThLB*
+
+ ABI=x86
+ dobin cnpkbidi cnpkmoduleufr2
+ dolib.so libcnlbcm.so.1.0
+ dosym libcnlbcm.so.1.0 "/usr/$(get_libdir)/libcnlbcm.so.1"
+ dosym libcnlbcm.so.1.0 "/usr/$(get_libdir)/libcnlbcm.so"
+ for lib in *.so.?.?.?; do
+ dolib.so "${lib}"
+ dosym "${lib}" "/usr/$(get_libdir)/${lib%.?.?}"
+ dosym "${lib}" "/usr/$(get_libdir)/${lib%.?.?.?}"
+ done
+
+ # c3pldrv dlopens the absolute path /usr/lib/libcnlbcm.so :(
+ if [[ "$(get_libdir)" != lib ]]; then
+ dosym "../$(get_libdir)/libcnlbcm.so" /usr/lib/libcnlbcm.so
+ fi
+}